@echo off
echo Generic CAD Driver Installation
if %1x == x goto usg
if %2x == x goto usg
if not exist %1\lzcopy.exe goto insdk
if exist %2\cadd.exe goto do1
if exist %2\gcadd.exe goto do1
if exist %2\3dd.exe goto do2
goto usg2
:do1
%1\lzcopy.exe %1\generic\lgen6s3.vg_ %2\lgen6s3.vgd
%1\lzcopy.exe %1\generic\sgen6s3.vg_ %2\sgen6s3.vgd
if exist %2\config.exe goto st1
if exist %2\config.com goto st1
if exist %2\config.bat goto st1
goto err1
:st1
%2\config
goto theend
:do2
%1\lzcopy.exe %1\generic\lgen6s3.vg_ %2\lgen6s3.vgd
%1\lzcopy.exe %1\generic\sgen6s3.vg_ %2\sgen6s3.vgd
if exist %2\3dconfig.exe goto setup2
if exist %2\3dconfig.com goto setup2
if exist %2\3dconfig.bat goto setup2
goto err1
:setup2
%2\3dconfig
goto theend
:insdk
echo Please insert the Utilities and Drivers Diskette
goto usg
:err1
echo Cannot configure Generic CAD
goto theend
:usg2
echo Cannot find Generic CAD in the directory %2
:usg
echo [Usage]: INSTALL [Source Drive:] [Target Directory]
:theend
